allegro_message(3)

NAME
allegro_message

SYNOPSIS
#include <allegro.h>

void allegro_message(const char *text_format, ...);

DESCRIPTION
Outputs a message, using a printf() format string. This function must only be used when you aren't in graphics mode, eg. before calling set_gfx_mode(), or after a set_gfx_mode(GFX_TEXT). On platforms that have a text console (DOS and Unix) it will print the string to that console, attempting to work around codepage differences by reducing any accented characters to 7-bit ASCII approximations, and on platforms featuring a windowing system it will bring up a GUI message box. Example:
   ret = allegro_init();
   if (ret != 0) {
      allegro_message("Sorry, couldn't init Allegro (%d).\n", ret);
      exit(ret);
   }

SEE ALSO
set_uformat(3)